We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

The Angular Pyramid Chart is a hierarchical structure that has data in the form of triangles divided into sections, and each section with a related dataset.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Exploding slices

Data points can be exploded on rendering and on mouse click.


Grouped points

Group the points in a pyramid chart based on specific conditions. The grouped slices can be split into individual points by clicking the slices.


Customization

Customize the look and feel of the pyramid chart using built-in APIs.


Angular Pyramid Chart Code Example

Easily get started with Angular Pyramid Chart by using a few lines of HTML and TS code, as demonstrated below. Also explore our Angular Pyramid Chart Example that shows how to render and configure the Pyramid chart in Angular.

<ejs-accumulationchart id="chart-container">
  <e-accumulation-series-collection>
      <e-accumulation-series [dataSource]='data' xName='x' yName='y' type='Pyramid'></e-accumulation-series>
  </e-accumulation-series-collection>
</ejs-accumulationchart>
//app.component.ts

import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] = [    
    { x: 'JPN', text: 'Japan', y: 5156 },
    { x: 'DEU', text: 'Germany', y: 3754  },
    { x: 'FRA', text: 'France', y: 2809 },
    { x: 'GBR', text: 'UK', y: 2721  },
    { x: 'BRA', text: 'Brazil', y: 2472  },
    { x: 'RUS', text: 'Russia', y: 2231 },
    { x: 'ITA', text: 'Italy', y: 2131  },
    { x: 'IND', text: 'India', y: 1857  },   
];

}

//app.module.ts

import { AccumulationChartModule } from '@syncfusion/ej2-ng-charts';
import { PyramidSeriesService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, AccumulationChartModule
  ],
  providers: [PyramidSeriesService],
  bootstrap: [AppComponent]
})
export class AppModule { }

Learning Resources

UG

Pyramid Chart User Guide

Learn the available options to customize Angular Pyramid Chart.

API

Pyramid Chart API Reference

Explore the Angular Pyramid Chart APIs.


90+ ANGULAR UI COMPONENTS

Scroll up icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

The React Pyramid Chart is a hierarchical structure that has data in the form of triangles divided into sections, and each section with a related dataset.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Exploding slices

Data points can be exploded on rendering and on mouse click.


Grouped points

Group the points in a pyramid chart based on specific conditions. The grouped slices can be split into individual points by clicking the slices.


Customization

Customize the look and feel of the pyramid chart using built-in APIs.


React Pyramid Chart Code Example

Easily get started with React Pyramid Chart by using a few lines of HTML and JS code, as demonstrated below. Also explore our React Pyramid Chart Example that shows how to render and configure the chart.

import { AccumulationChartComponent, AccumulationSeriesCollectionDirective, AccumulationSeriesDirective, Inject, PyramidSeries}
from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
  public data1: any[]= [
    { x: 'United States', y: 45, text: 'USA', fill: '#00226C' },
    { x: 'Australia', y: 53, text: 'AUS: 14%', fill: '#0450C2' },
    { x: 'China', y: 56, text: 'CHN', fill: '#0073DC' },
    { x: 'India', y: 61, text: 'IND', fill: '#0D98FF' },
    { x: 'Japan', y: 40, text: 'JPN', fill: '#9CD9FF' },
    { x: 'United Kingdom', y: 20, text: 'UK', fill: '#0450C2' }
];

  public render() {
    return <AccumulationChartComponent id='charts'>
    <Inject services={[PyramidSeries]} />
    <AccumulationSeriesCollectionDirective>
      <AccumulationSeriesDirective dataSource={this.data1} xName='x' yName='y' type='Pyramid'/>
    </AccumulationSeriesCollectionDirective>
  </AccumulationChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);
<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>

Learning Resources

UG

Pyramid Chart User Guide

Learn the available options to customize React Pyramid chart.

API

Pyramid Chart API Reference

Explore the React Pyramid chart APIs.


90+ REACT UI COMPONENTS

Scroll up icon